package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SslVpnResourceGroup
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SslVpnResourceGroup   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  @JsonProperty("resourcesList")
  @Valid
  private List<SslVpnResourceBriefInfo> resourcesList = null;

  public SslVpnResourceGroup id(String id) {
    this.id = id;
    return this;
  }

  /**
   * ID of the SSL VPN resource group
   * @return id
  */
  @ApiModelProperty(value = "ID of the SSL VPN resource group")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public SslVpnResourceGroup name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Name of the SSL VPN resource group
   * @return name
  */
  @ApiModelProperty(required = true, value = "Name of the SSL VPN resource group")
  @NotNull


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public SslVpnResourceGroup resourcesList(List<SslVpnResourceBriefInfo> resourcesList) {
    this.resourcesList = resourcesList;
    return this;
  }

  public SslVpnResourceGroup addResourcesListItem(SslVpnResourceBriefInfo resourcesListItem) {
    if (this.resourcesList == null) {
      this.resourcesList = new ArrayList<>();
    }
    this.resourcesList.add(resourcesListItem);
    return this;
  }

  /**
   * Resources list of the SSL VPN resource group
   * @return resourcesList
  */
  @ApiModelProperty(value = "Resources list of the SSL VPN resource group")

  @Valid

  public List<SslVpnResourceBriefInfo> getResourcesList() {
    return resourcesList;
  }

  public void setResourcesList(List<SslVpnResourceBriefInfo> resourcesList) {
    this.resourcesList = resourcesList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SslVpnResourceGroup sslVpnResourceGroup = (SslVpnResourceGroup) o;
    return Objects.equals(this.id, sslVpnResourceGroup.id) &&
        Objects.equals(this.name, sslVpnResourceGroup.name) &&
        Objects.equals(this.resourcesList, sslVpnResourceGroup.resourcesList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, resourcesList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SslVpnResourceGroup {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    resourcesList: ").append(toIndentedString(resourcesList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

